GRE - Bug #2744

AWA grades displayed incorrectly on student’'s page
07/07/2023 06:42 AM - Aswathy Aswathy Mohandas

Status: New Start date: 07/07/2023
Priority: Urgent Due date:

Assignee: ABHISHEK KUMAR % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 1.00 hour
factor:

Description

| was grading the MT3 attempts of Kiran P Nair, 913532. The AWA tool was slow, so | just checked this student's page via switch
user to confirm whether the MT3 scores and feedback were updated properly. During the process, | found that the student's grade is
shown as 6* for MT1 AWA, but | was sure he wouldn't get that much so | checked below and there was a line saying * means the
attempts have not been graded. The AWA grading tool does show his MT1 attempts as graded, with 4 for the issue essay and 2 for
the argument essay. So why does the student's page show '6*'?

History

#1 - 07/17/2023 10:06 AM - Aswathy Aswathy Mohandas

The same issue has recurred for another student, Inna Yadav (907040). So we tried and explored the issue a bit further. However, we are not sure
how many students are facing this since we only see this when we switch users and open a student's page for some reason.

The issue is that on these students' Home pages, one particular mock test score is wrongly displayed along with a , 6 for Kiran (MT1) and 4* for Inna
(MT2). The actual scores must be 3 for Kiran (average of 4 for the issue essay and 2 for the argument essay) and 2.5 for Inna (average of 3 and 2).

Now, on the Home page, this is what is shown. When these particular mock tests are opened from there, the scoring is shown to be still 'in progress'.
It is only when the actual essays are opened that the correct scores can be seen. From our end, we checked the scores we have given on the grading
tool, and they are correct (and consistent with what is finally displayed when the essay is opened on the student's page).

| have recorded my screen to demonstrate the issue for both Kiran and Inna. Since the video size is larger than is allowed on Redmine, | will share
them via Google Chats. Please check.

#2 - 07/29/2023 09:31 AM - selva QA
- Assignee changed from selva QA to ABHISHEK KUMAR

#3 - 08/23/2023 05:26 AM - Aswathy Aswathy Mohandas
Same issue was observed for Drupal ID 928582, Aditya Chawla's MT2 score.

#4 - 04/09/2024 05:44 AM - Aswathy Aswathy Mohandas

- Attachments awa score on homepage issue.jpg added

The same issue has recurred. A student named Adithya Baruah (Drupal ID 959144) has complained that his home page shows him an 8 for AWA
(while the maximum score is 6). Later, he said the score was fine when he went to the assessment. So the issue is with the score shown on the home
page, yet again.

#5 - 07/01/2024 11:15 AM - darshana s

- Attachments 2024-07-01 (7).png added

- Attachments 2024-07-01 (8).png added

- Attachments 2024-07-01 (10).png added

Hi,

The same issue persists for student - Akash (Drupal ID: 942629).

The score showing up on the home page is 8 for Mock Test 4, within the Mock Test Page, it shows as "Scoring in Progress", and once you click on

the Issue essay, it shows the actual score i.e. 4. (Attaching screenshots for reference below).
This needs to be fixed asap as it creates a lot of confusion.
